CEGUI Logo
This issue tracker is now in read-only mode. We migrated all our old bug reports to our bitbucket issue tracker
Please use our new issue tracker to report bugs. You can easily find all mantis tickets on our new issue tracker by selecting the appropriate bitbucket repo (CEGUI/CEED/Silly) and searching for the mantis ticket ID number.

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000395CEGUIRenderer modulespublic2010-09-21 13:562010-10-06 10:09
Reportervroad 
Assigned ToCrazyEddie 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product VersionMercurial: default branch 
Target Version0.7.3Fixed in VersionMercurial: default branch 
Summary0000395: IrrlichtResourceProvider make sure the file exists not using existFIle
DescriptionIrrlichtResourceProvider currently only checks the file exists.
Even if file exists, opening a file may fail.
This patch fixes it.
loadRawDataContainer throws exception if opening a file was failed.
Additional InformationShould retvalue of "f->read(how much read)" be checked?
TagsNo tags attached.
Attached Filespatch file icon IrrlichtResourceProvider_not_use_existFile.patch [^] (1,072 bytes) 2010-09-21 13:56 [Show Content]

- Relationships

-  Notes
(0000502)
CrazyEddie (administrator)
2010-10-06 10:09

patch was applied in branches/v0-7 r2642.

Thanks :)

- Issue History
Date Modified Username Field Change
2010-09-21 13:56 vroad New Issue
2010-09-21 13:56 vroad File Added: IrrlichtResourceProvider_not_use_existFile.patch
2010-09-29 09:51 CrazyEddie Status new => assigned
2010-09-29 09:51 CrazyEddie Assigned To => CrazyEddie
2010-10-05 20:07 CrazyEddie Target Version 0.8.3 => 0.7.3
2010-10-06 10:09 CrazyEddie Note Added: 0000502
2010-10-06 10:09 CrazyEddie Status assigned => resolved
2010-10-06 10:09 CrazyEddie Fixed in Version 0.8.3 => Mercurial: default branch
2010-10-06 10:09 CrazyEddie Resolution open => fixed
Get Crazy Eddies GUI System at SourceForge.net. Fast, secure and Free Open Source software downloads


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker